#include "GameOver.h"
#include "GameManager.h"
#include "Explosion.h"

GameOver::GameOver(string message) : TextMessage (message) {
  setType("GameOver");

  // make big explosion
  for (int i=-25; i<=25; i+=5) {
    for (int j=-5; j<=5; j+=3) {
      Position temp_pos = this->getPos();
      temp_pos.setX(this->getPos().getX() + i);
      temp_pos.setY(this->getPos().getY() + j);
      Explosion *p_explosion = new Explosion;
      p_explosion -> setPos(temp_pos);
    }
  }
}

// when done, end game
GameOver::~GameOver() {
  GameManager &game_manager = GameManager::getInstance();
  game_manager.setGameOver();

}
